xivocc-installer (2020.02.00+20200130.091921.3a5cc8a) xivo-2020.02.00; urgency=medium

  * bump to 2020.02

 -- XiVO Builder Team <release@xivo.fr>  Thu, 30 Jan 2020 10:19:21 +0100

xivocc-installer (2020.02.00) xivo-electra; urgency=medium

  * Bump version to 2020.02.00

 -- Tony <tonym@tonym-ThinkPad-T580>  Fri, 17 Jan 2020 10:12:57 +0100

xivocc-installer (2020.01.00) xivo-electra; urgency=medium

  [ Tony ]
  * Bump version to 2020.01.00

  [ Vojtech Sodoma ]
  * 3063 Improve RabbitMQ install procedure

 -- Tony <tonym@tonym-ThinkPad-T580>  Mon, 06 Jan 2020 11:21:51 +0100

xivocc-installer (2019.15.00) xivo-electra; urgency=medium

  * 3020 Dockerize and upgrade RabbitMQ on XiVO
  * Bump version to 2019.15.00

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 17 Dec 2019 16:14:36 +0100

xivocc-installer (2019.14.00) xivo-electra; urgency=medium

  * Bump version to 2019.14.00
  * Update compose version (3.7), dependences to xivo-dist (2019.14.00) and docker-ce (18.06.3~ce~3-0~debian)

 -- Tony <tonym@tonym-ThinkPad-T580>  Mon, 02 Dec 2019 10:23:59 +0100

xivocc-installer (2019.13.00) xivo-electra; urgency=medium

  * Bump version to 2019.13.00

 -- Tony <tonym@tonym-ThinkPad-T580>  Tue, 19 Nov 2019 10:35:43 +0100

xivocc-installer (2019.12.06) xivo-deneb; urgency=medium

  * 2911 Stop XDS installation if connection to database isn't configured

 -- Benoit SCHULER <bschuler@xivo.solutions>  Wed, 06 Nov 2019 09:19:27 +0100

xivocc-installer (2019.12.02) xivo-deneb; urgency=medium

  [ Benoit SCHULER ]
  * 2891 Can't display munin graphs in webi

  [ Vojtech Sodoma ]
  * 2913 Elastic and pgxivocc data migration fails on multi-server CC

 -- Benoit SCHULER <bschuler@avencall.com>  Tue, 08 Oct 2019 15:29:01 +0200

xivocc-installer (2019.12.00) xivo-deneb; urgency=medium

  [Jirka Hlavacek]
  * 2716 - Install Mattermost

  [ Vojtech Sodoma ]
  * 2814 Be able to use XiVO UC with dockerized nginx
  * 2860 docker-ce installation breaks

  [Benoît SCHULER]
  * 2851 Dockerize swagger
  * 2868 - Externalize nginx logs to hosts

  [ Jean-Pierre Thomasset ]
  * Bump version to 2019.12.00

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Fri, 20 Sep 2019 08:20:34 +0000

xivocc-installer (2019.11.00) xivo-deneb; urgency=medium

  [ Etienne Allovon ]
  * Bump version to 2019.11.00
  * 2608 - Fix command to work with docker-engine and docker-ce
  * 2775 - Add environment variable for user call history by days
  * 2802 - add environment variable for logstash

  [ Vojtech Sodoma ]
  * 2810 Update xivocc-installer docker dependency to docker-ce
  * 2821 Remove nginx and xivo-web-interface packages
  * 2823 Error in xivo-dcomp script if used for custom commands

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 09 Sep 2019 12:43:23 +0000

xivocc-installer (2019.10.00) xivo-deneb; urgency=medium

  [Jirka Hlavacek]
  * 2682 Add ELK to XiVO CC

  [ Benoit SCHULER ]
  * 2684 Dockerization of the web interface

  [ Etienne Allovon ]
  * Bump version to 2019.10.00

 -- Benoit SCHULER <bschuler@avencall.com>  Wed, 21 Aug 2019 10:45:22 +0000

xivocc-installer (2019.09.00) xivo-deneb; urgency=medium

  * Bump version to 2019.09.00

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Mon, 12 Aug 2019 09:21:16 +0000

xivocc-installer (2019.08.00) xivo-deneb; urgency=medium

  * Bump version 2019.08.00

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 29 Jul 2019 08:11:22 +0000

xivocc-installer (2019.07.00) xivo-deneb; urgency=medium

  * Bump version 2019.07.00
  * 2665 XiVO CC installation breaks the main XiVO PBX install if FQDN entered as xuc host
  * 2694 XiVO UC Installer does not set correct pgxivocc address for db_replic

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 02 Jul 2019 16:24:38 +0200

xivocc-installer (2019.06.00) xivo-deneb; urgency=medium

  * Bump version 2019.06.00

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 02 Jul 2019 11:28:18 +0200

xivocc-installer (2019.05.08) xivo-callisto; urgency=medium

  * 2564 Restrict database access

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 20 Jun 2019 14:58:40 +0200

xivocc-installer (2019.05.06) xivo-callisto; urgency=medium

  [Jean-Pierre Thomasset]
  * 2496 - Mount passwd and group files in xivo-db container to fix rights 

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Wed, 05 Jun 2019 13:23:52 +0000

xivocc-installer (2019.05.03) xivo-callisto; urgency=medium

  * 2480 High Availability configuration can't be edited in webi

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 20 May 2019 15:26:33 +0200

xivocc-installer (2019.05.02) xivo-callisto; urgency=medium

  [Laurent Meiller]
  * 2506 Replace outdated technical env MDS variables
  
  [ Vojtech Sodoma ]
  * 2383 XiVO CC services can't use domain names

  [ Jean-Yves ]
  * 2500-2504 postgres start and config

 -- Jean-Yves <jylebleu@avencall.com>  Fri, 10 May 2019 18:00:56 +0200

xivocc-installer (2019.05.00) xivo-callisto; urgency=medium

  [ Tomas Taraba ]
  * 2363 Install xivo-outcall application on MDS

  [ Etienne Allovon ]
  * Bump version 2019.05.00

  [ Vojtech Sodoma ]
  * 2421 Upgrade to postgres 11 - fixes
  * 2429 Install postgres 11 on MDS

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 02 Apr 2019 14:45:02 +0000

xivocc-installer (2019.04.00) xivo-callisto; urgency=medium

  * Bump version to 2019.04.00
  * 2271 Run postgres 11.2 and db migration in docker

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 11 Mar 2019 13:36:19 +0100

xivocc-installer (2019.03.00) xivo-callisto; urgency=medium

  * Bump version to 2019.03.00
  * 2369 Schedule are checked against wrong time

 -- lmeiller <lmeiller@avencall.com>  Tue, 19 Feb 2019 10:45:11 +0100

xivocc-installer (2019.02.00) xivo-callisto; urgency=medium

  [ Tomas Taraba ]
  * Bump version to 2019.02.00

  [ Vojtech Sodoma ]
  * 2294 Generate application secret for Play apps in docker
  * 2293 Add NGINX configuration to access all CC services on standard ports 80/443
  * 2330 Access CC services running on multiple servers from one Fingerboard
  * 2357 Install xivo-outcall application on XiVO

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 29 Jan 2019 10:39:58 +0100

xivocc-installer (2019.01.00) xivo-callisto; urgency=medium

  [ Tomas Taraba ]
  * Bump version to 2019.01.00

  [ Vojtech Sodoma ]
  * 2124 Be able to run db_replic on both XiVO master and slave in HA

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 09 Jan 2019 15:21:29 +0100

xivocc-installer (2018.16.04) xivo-borealis; urgency=medium

  * 2154 Errors in log when upgrading XiVO UC from Polaris to Borealis

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 05 Dec 2018 09:52:58 +0100

xivocc-installer (2018.16.02) xivo-borealis; urgency=medium

  [ Erwan Sevellec ]
  * Fix duplicate configmgt in custom env

  [ Vojtech Sodoma ]
  * Bump version to 2018.16.02
  * 2156 XiVO UC - docker logs are missing
  * 2086 docker-xivo.override.yml files are not upgraded
  * 2145 DB replic is misconfigured if XUC_HOST is domain name

  [ Tomas Taraba ]
  * Add configmgt host and port to UC
  * UC Add-on missing installation step

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 02 Nov 2018 16:01:54 +0100

xivocc-installer (2018.16.01) xivo-borealis; urgency=medium

  [ Vojtech Sodoma ]
  * 2150 XiVO UC - custom.env is not updated for DB Replic

  [ Etienne Allovon ]
  * Fix certificate generation for Debian9

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 23 Oct 2018 15:57:58 +0200

xivocc-installer (2018.16.00) xivo-borealis; urgency=medium

  * Bump version to 2018.16.00

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 16 Oct 2018 11:52:37 +0200

xivocc-installer (2018.15.00) xivo-borealis; urgency=medium

  * 2093 XDS - Add MDS_NAME environemnt variable in agid container

 -- Jirka HLAVACEK <jhlavacek@avencall.com>  Mon, 08 Oct 2018 16:51:11 +0200

xivocc-installer (2018.14.00) xivo-borealis; urgency=medium

  [ Laurent Meiller ]
  * Bump version to 2018.14.00 

  [ Vojtech Sodoma ]
  * 2057 XDS - Generate asterisk systemname

 -- Laurent Meiller <lmeiller@avencall.com>  Fri, 21 Sep 2018 17:46:20 +0200

xivocc-installer (2018.13.00) xivo-borealis; urgency=medium

  * Bump version to 2018.13.00
  * 2049 Fix monit and missing rights for db_replic logs
  * 2050 Add only db_replic to xivo if cc or uc is installed
  * 2051 Cleanup MDS installer
  * 2052 Cleanup Config-Mgt installer

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 04 Sep 2018 09:34:38 +0200

xivocc-installer (2018.12.00) xivo-borealis; urgency=medium

  [Frédéric Servian ]
  * Bump version to 2018.12.00

  [Tomas Taraba]
  * 2009 XDS - MDS installation using script installer
  * 2040 XDS - Fix timezone/localtime for containers

 -- Frédéric Servian <fservian@avencall.com>  Thu, 09 Aug 2018 16:30:53 +0200

xivocc-installer (2018.11.00) xivo-borealis; urgency=medium

  * Bump version to 2018.11.00
  * Add NOTIFY_ON_HOLD custom.env variable to yml

 -- Vojtech Sodoma <vsodoma@avencall.com>  Fri, 20 Jul 2018 10:41:35 +0200

xivocc-installer (2018.10.00) xivo-borealis; urgency=medium

  * Bump version 2018.10.00

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 03 Jul 2018 16:32:31 +0200

xivocc-installer (2018.09.00) xivo-borealis; urgency=medium

  * Bump version to 2018.09.00
  * Remove unused DISABLECONFIGMGT env variable

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 11 Jun 2018 09:57:41 +0200

xivocc-installer (2018.08.00) xivo-borealis; urgency=medium

  * Bump version to 2018.08.00

 -- Tomas Taraba <ttaraba@avencall.com>  Fri, 18 May 2018 09:50:00 +0200

xivocc-installer (2018.07.00) xivo-borealis; urgency=medium

  * Bump version to 2018.07.00

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 03 May 2018 15:27:09 +0200

xivocc-installer (2018.06.00) xivo-borealis; urgency=medium

  * Bump version to 2018.06.00

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 09 Apr 2018 10:12:00 +0200

xivocc-installer (2018.05.00) xivo-aldebaran; urgency=medium

  * Bump version to 2018.05.00
  * Modify configmgt and xivouc installation configuration
    to be compatible together
  * Control docker compose by xivo-service without daemon
  * Retrieve static token and add it to custom.env

 -- Tomas Taraba <ttaraba@avencall.com>  Fri, 09 Mar 2018 16:57:00 +0100

xivocc-installer (2018.04.01) xivo-aldebaran; urgency=medium

  * Fix yml for xivo_replic: add CONFIG_MGT_HOST env variable

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 08 Mar 2018 14:02:32 +0100

xivocc-installer (2018.04.00) xivo-aldebaran; urgency=medium

  * Bump version to 2018.04.00
  * Add xivo-configmgt

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 20 Feb 2018 10:35:00 +0100

xivocc-installer (2018.03.01) xivo-aldebaran; urgency=medium

  * Fix xivouc dependency problem to docker-ce

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 15 Feb 2018 16:49:00 +0100

xivocc-installer (2018.03.00) xivo-aldebaran; urgency=medium

  * Bump version to 2018.03.00

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 14 Feb 2018 10:32:42 +0100

xivocc-installer (2018.02.00) xivo-aldebaran; urgency=medium

  * Add variable DISABLECONFIGMGT to xivo_replic in XiVO UC
  * Set xivo_replic disable to true
  * Add swarm worker join/leave script

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 24 Jan 2018 12:02:00 +0100

xivocc-installer (2018.02.00) xivo-aldebaran; urgency=medium

  * Bump version to 2018.02.00

 -- Jirka HLAVACEK <jhlavacek@avencall.com>  Thu, 28 Dec 2017 10:22:42 +0100

xivocc-installer (2018.02.00) xivo-aldebaran; urgency=medium

  * 1621 Do not install docker-engine by xivouc-installer

 -- Vojtech Sodoma <vsodoma@avencall.com>  Wed, 20 Dec 2017 16:17:24 +0100

xivocc-installer (2018.01.00) xivo-aldebaran; urgency=medium

  [ Etienne Allovon ]
  * Bump version to 2018.01.00

  [ Vojtech Sodoma ]
  * Disable CC Agent and CC Manager in Xivo UC

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 08 Dec 2017 16:24:16 +0100

xivocc-installer (2017.11.06) xivo-dev; urgency=medium

  * Remove generated logrotate files on purge

 -- Jean-Yves LEBLEU <jylebleu@xivo.solutions>  Tue, 16 Nov 2017 18:36:25 +0100

xivocc-installer (2017.11.04) xivo-dev; urgency=medium

  * Do not remove users xuc and stats by uninstaller
  * Monit checks for docker containers added
  * XiVO UC - build package xivouc-installer and xivouc from project

 -- Vitezslav Novy <vnovy@vnovy.net>  Wed, 25 Oct 2017 11:11:10 +0200

xivocc-installer (2017.11.00) xivo-dev; urgency=medium

  * Use fingerboard with standard version instead of latest

 -- Laurent Meiller <lmeiller@avencall.com>  Thu, 14 Sep 2017 15:13:47 +0200

xivocc-installer (2017.11.00) xivo-dev; urgency=medium

  * Bump version 2017.11.00
  * Set writetimeout in XUC AMI configuration file

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 12 Sep 2017 10:57:22 +0200

xivocc-installer (2017.10.00) xivo-dev; urgency=medium

  * Bump version 2017.10.00

 -- Tomas Taraba <ttaraba@avencall.com>  Fri, 18 Aug 2017 14:23:36 +0200

xivocc-installer (2017.09.00) xivo-dev; urgency=medium

  * Bump version 2017.09.00

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 27 Jul 2017 15:46:02 +0200

xivocc-installer (2017.08.00) xivo-dev; urgency=medium

  * Bump version 2017.08.00
  * Use xivoxc_nginx with standard version instead of latest

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 12 Jul 2017 16:22:25 +0200

xivocc-installer (2017.07.00) xivo-dev; urgency=medium

  * Generate SSH keys without prompt
  * Bump version 2017.07.00
  * Reduce size of container internal logs

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 15 Jun 2017 10:29:20 +0200

xivocc-installer (2017.06.00) xivo-dev; urgency=medium

  * Bump version 2017.06.00

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 05 Jun 2017 14:29:23 +0200

xivocc-installer (2017.05.00) xivo-dev; urgency=medium

  * Expand .gitignore
  * Remove deb package built folder
  * Copy feature from 644 customize reporting host (aed9f082)

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 29 May 2017 12:06:39 +0200

xivocc-installer (2017.05.00) xivo-dev; urgency=medium

  * version 2017.05.00

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 29 May 2017 12:06:39 +0200

xivocc-installer (2017.05.00) xivo-dev; urgency=medium

  * Make host variables more customizable

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 18 May 2017 10:35:42 +0200

xivocc-installer (2017.04.01) xivo-rc; urgency=medium

  * version 2017.04.01 (and correct version)

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 05 May 2017 17:42:19 +0200

xivocc-installer (2017.04.00) UNRELEASED; urgency=medium

  * version 2017.04.00

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 05 May 2017 17:25:32 +0200

xivocc-installer (2017.03.03) xivo-dev; urgency=medium

  * Add options to display versions of running containers or images

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 18 Apr 2017 14:09:25 +0200

xivocc-installer (2017.03.02) xivo-rc; urgency=medium

  * version 2017.03.02

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 12 Apr 2017 13:03:08 +0200

xivocc-installer (2017.03) xivo-rc; urgency=medium

  * version 2017.03.00

 -- Stepan Kabele <skabele@avencall.com>  Wed, 22 Mar 2017 11:13:22 +0100

xivocc-installer (2017.03) xivo-dev; urgency=medium

  * Set ENFORCE_MANAGER_SECURITY to false when upgrading
  * Do not set ENFORCE_MANAGER_SECURITY when installing

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 20 Mar 2017 11:13:57 +0100

xivocc-installer (2017.03) xivo-dev; urgency=medium

  * Do not configure XiVO PBX for real (see #822)
  * And rephrase some questions of the installer
  * Use xivocc-dcomp script in prerm script

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 20 Mar 2017 12:12:49 +0100

xivocc-installer (2017.03) xivo-dev; urgency=medium

  * Move installed files from debian folder to proper folders
  * Rename dcomp to xivocc-dcomp
  * Rename configure-xivo to xivocc-configure-xivopbx
  * Change the rm commands in postrm
  * Add arguments count check for xivocc-configure-xivopbx

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 15 Mar 2017 16:13:40 +0100

xivocc-installer (2017.03) xivo-dev; urgency=medium

  * Split .env file to factory.env and custom.env, replace alias with script

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 06 Mar 2017 14:43:51 +0100

xivocc-installer (2017.03) xivo-dev; urgency=medium

  * Increment DEFAULT_VERSION to 2017.03

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 10 Mar 2017 11:58:53 +0100

xivocc-installer (2017.02) xivo-dev; urgency=medium

  * Increment DEFAULT_VERSION to 2017.02

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 01 Mar 2017 16:27:40 +0100

xivocc-installer (2017.01) xivo-dev; urgency=medium

  * Remove rm command and add pre-dependency to xivocc-installer-cc

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 15 Feb 2017 12:03:40 +0100

xivocc-installer (2017.01) xivo-dev; urgency=medium

  * add dependency on xivocc >= 1.12 (to ensure that .env is properly interpreted)

 -- Stepan Kabele <stepan.kabele@avencall.com>  Thu, 12 Jan 2017 14:14:25 +0100

xivocc-installer (2017.01) xivo-dev; urgency=medium

  * Change distribution latestdev -> 00-latestdev

 -- Stepan Kabele <stepan.kabele@avencall.com>  Thu, 12 Jan 2017 13:50:53 +0100

xivocc-installer (2016.04) xivo-dev; urgency=medium

  * Add spagobi environment options for localhost

 -- Jean-Yves LEBLEU <jylebleu@avencall.com>  Thu, 21 Dec 2016 12:02:32 +0100

xivocc-installer (2016.04) xivo-dev; urgency=medium

  * Add spagobi options from packaging

 -- Jean-Yves LEBLEU <jylebleu@avencall.com>  Thu, 19 Dec 2016 16:39:32 +0100

xivocc-installer (2016.04) xivo-dev; urgency=medium

  * Refactor, simplify, remove remote docker files and generate XiVO AMI password

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 15 Dec 2016 16:27:32 +0100

xivocc-installer (2016.04) xivo-dev; urgency=medium

  * XiVOcc packing: nginx port bug #464

 -- Stepan KABELE <skabele@avencall.com>  Fri, 02 Dec 2016 10:52:54 +0100

xivocc-installer (2016.03) xivo-dev; urgency=medium

  * Add package upgrade section, remove purge xivo-recording

 -- Tomas Taraba <ttaraba@avencall.com>  Fri, 04 Nov 2016 10:52:54 +0100

xivocc-installer (2016.03) xivo-dev; urgency=medium

  * Bump package version

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 28 Oct 2016 18:22:00 +0200

xivocc-installer (2016.02) xivo-dev; urgency=medium

  * Initial release of package

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 27 Sep 2016 14:00:00 +0200
